Bug 862613 - ValueError: cannot initialize a disk that has partitions
ValueError: cannot initialize a disk that has partitions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
AcceptedBlocker
: Reopened
Depends On:
Blocks: F18Beta/F18BetaBlocker F18Betappc
  Show dependency treegraph
 
Reported: 2012-10-03 07:42 EDT by Kamil Páral
Modified: 2014-09-22 15:15 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:48:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: anaconda-tb (264.94 KB, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
File: product (6 bytes, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
File: type (9 bytes, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
File: storage.log (109.03 KB, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
File: version (11 bytes, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
File: environ (797 bytes, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
File: anaconda.log (2.91 KB, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
File: syslog (84.57 KB, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
File: packaging.log (2.74 KB, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
File: cmdline_file (174 bytes, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
File: release (24 bytes, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
File: program.log (31.75 KB, text/plain)
2012-10-03 07:42 EDT, Kamil Páral
no flags Details
storage1819.log (90.08 KB, text/plain)
2012-10-23 11:49 EDT, Tim Flink
no flags Details
program1819.log (17.61 KB, text/plain)
2012-10-23 11:49 EDT, Tim Flink
no flags Details
syslog1819 (79.45 KB, text/plain)
2012-10-23 11:50 EDT, Tim Flink
no flags Details
anaconda-tb-1819 (228.64 KB, text/plain)
2012-10-23 11:52 EDT, Tim Flink
no flags Details
[18.37.11] anaconda-tb-kqIfPf (285.51 KB, text/plain)
2013-01-13 17:22 EST, Steve Tyler
no flags Details

  None (edit)
Description Kamil Páral 2012-10-03 07:42:20 EDT
Description of problem:
I have two disks in my computer. One should have a F18 installation on it, the second should have some LVM partitions remnants from old 17 installation. I have went to partition spoke and selected one disk, closed. Then I changed my mind, went t partition spoke again, selected both disks, and closed. An exception poped up.

Version-Release number of selected component:
anaconda-18.11

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.0-1.fc18.i686

description:
:The following was filed automatically by anaconda:
:anaconda 18.11 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 865, in initializeDisk
:    raise ValueError("cannot initialize a disk that has partitions")
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 840, in clearPartitions
:    self.initializeDisk(disk)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/kickstart.py", line 442, in execute
:    storage.clearPartitions()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/kickstart.py", line 1554, in doKickstartStorage
:    ksdata.clearpart.execute(storage, ksdata, instClass)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 333, in _doExecute
:    doKickstartStorage(self.storage, self.data, self.instclass)
:  File "/usr/lib/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 87, in run
:    threading.Thread.run(self, *args, **kwargs)
:ValueError: cannot initialize a disk that has partitions
Comment 1 Kamil Páral 2012-10-03 07:42:27 EDT
Created attachment 620763 [details]
File: anaconda-tb
Comment 2 Kamil Páral 2012-10-03 07:42:30 EDT
Created attachment 620764 [details]
File: product
Comment 3 Kamil Páral 2012-10-03 07:42:32 EDT
Created attachment 620765 [details]
File: type
Comment 4 Kamil Páral 2012-10-03 07:42:35 EDT
Created attachment 620766 [details]
File: storage.log
Comment 5 Kamil Páral 2012-10-03 07:42:38 EDT
Created attachment 620767 [details]
File: version
Comment 6 Kamil Páral 2012-10-03 07:42:40 EDT
Created attachment 620768 [details]
File: environ
Comment 7 Kamil Páral 2012-10-03 07:42:42 EDT
Created attachment 620769 [details]
File: anaconda.log
Comment 8 Kamil Páral 2012-10-03 07:42:45 EDT
Created attachment 620770 [details]
File: syslog
Comment 9 Kamil Páral 2012-10-03 07:42:47 EDT
Created attachment 620771 [details]
File: hashmarkername
Comment 10 Kamil Páral 2012-10-03 07:42:49 EDT
Created attachment 620772 [details]
File: packaging.log
Comment 11 Kamil Páral 2012-10-03 07:42:51 EDT
Created attachment 620773 [details]
File: cmdline_file
Comment 12 Kamil Páral 2012-10-03 07:42:53 EDT
Created attachment 620774 [details]
File: release
Comment 13 Kamil Páral 2012-10-03 07:42:56 EDT
Created attachment 620775 [details]
File: program.log
Comment 14 Kamil Páral 2012-10-03 07:43:34 EDT
Proposing for Beta blocker discussion.
Comment 15 Kamil Páral 2012-10-03 07:52:37 EDT
So the problem is *not* in two disks. The problem is in the content of the second disk. If I select it alone, it crashes as well. If I select the first one (which also contains some partitions), everything works.

So there are some cases when a particular disk content makes anaconda crash.
Comment 16 Adam Williamson 2012-10-03 14:36:53 EDT
Discussed at 2012-10-03 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-03/f18-beta-blocker-review-2.2012-10-03-16.00.log.txt . Accepted as a blocker per criterion "The installer must be able to complete an installation using automatic partitioning to a validly-formatted disk with sufficient empty space, using the empty space and installing a bootloader but leaving the pre-existing partitions and data untouched".
Comment 17 Adam Williamson 2012-10-16 21:21:09 EDT
Kamil, David suggested that this and https://bugzilla.redhat.com/show_bug.cgi?id=866895 might be the same bug...does that accord with your experiences? Are you able to reproduce this issue with recent anaconda builds, still? Thanks!
Comment 18 Kamil Páral 2012-10-17 06:19:55 EDT
I'm unable to re-test until we have TC5 with bug 865009 fixed. I'll work on it afterwards.
Comment 19 Tim Flink 2012-10-22 16:59:04 EDT
I attempted to install w/ i386 TC6 over PXE on a system with onboard highpoint IDE RAID (2x disk in raid1). Right as I finished the last partitioning screen, I got this crash

Package: anaconda-18.19
OS Release: Fedora release 18-Beta-TC6
Comment 20 David Lehman 2012-10-22 21:17:59 EDT
(In reply to comment #19)
> I attempted to install w/ i386 TC6 over PXE on a system with onboard
> highpoint IDE RAID (2x disk in raid1). Right as I finished the last
> partitioning screen, I got this crash
> 
> Package: anaconda-18.19
> OS Release: Fedora release 18-Beta-TC6

Can you attach your logs, please?
Comment 21 Tim Flink 2012-10-23 11:49:11 EDT
Created attachment 632168 [details]
storage1819.log
Comment 22 Tim Flink 2012-10-23 11:49:45 EDT
Created attachment 632169 [details]
program1819.log
Comment 23 Tim Flink 2012-10-23 11:50:18 EDT
Created attachment 632170 [details]
syslog1819
Comment 24 Tim Flink 2012-10-23 11:52:00 EDT
Created attachment 632171 [details]
anaconda-tb-1819
Comment 25 Tim Flink 2012-10-23 11:53:09 EDT
(In reply to comment #20)
> (In reply to comment #19)
> > I attempted to install w/ i386 TC6 over PXE on a system with onboard
> > highpoint IDE RAID (2x disk in raid1). Right as I finished the last
> > partitioning screen, I got this crash
> > 
> > Package: anaconda-18.19
> > OS Release: Fedora release 18-Beta-TC6
> 
> Can you attach your logs, please?

I reproduced on the same machine and attached logs from that install. I think that I got all of the logs you need but let me know if I missed something.
Comment 26 Adam Williamson 2012-10-25 16:08:31 EDT
Kamil, David reckons your case of this and Tim's case of this are different, and he believes your particular case should indeed have been fixed by TC5 or TC6.

Can you re-test it with TC6 now and check? 865009 should not be a problem any more.

If Kamil's case is indeed fixed we should probably close this and separate Tim's report out.
Comment 27 David Lehman 2012-10-25 16:30:10 EDT
Tim's should be the same as 867593, only it's dmraid instead of multipath.
Comment 28 Kamil Páral 2012-10-25 17:09:48 EDT
With Beta TC6 I'm hitting bug 869185 instead of this (that doesn't necessarily mean this is fixed). But I can't confirm this until bug 869185 is fixed.
Comment 29 Kamil Páral 2012-10-29 11:39:03 EDT
dlehman is sure this bug was triggered before bug 869185, and therefore this is a confirmation it has been already fixed. Closing.
Comment 30 mrmx1@live.com 2012-12-31 10:09:53 EST
I had this same error on the latest Fedora 18 DVD install, F18 netinstall, and on the latest anaconda from the f18branch (anaconda 18.37.8 recompiled and included via boot kernel option updates=...).

I tried to install on:
1 SCSI disk
1 SCSI RAID-0 array (2 disks)
1 SATA RAID-0 array (2 disks)

The disks had pre-existing NTFS partitions (to be kept) and Linux partitions (to be replaced)
F18 anaconda did always crash at the point of manually partitioning the disks

Moreover, I tried both graphical and text install. Text install both via VNC and text-only. They all failed.
Sequence was:
Start F18 install
ESC at main menu
boot: linux updates=ftp... nompath text (tried both with and without updates=...)

At the prompt to choose between VNC and text, switch to Alt+F2 (console)
modprobe -r dm-round-robin
modprobe -r dm-multipath
(these three stepe were needed because multipath conflicted with my SCSI RAID array)

switch back to Alt+F1
choose VNC
Connect via VNC, anaconda graphical GUI shows OK
all three disks/arrays are correctly detected
select all three for installation
Select standard partitioning (no LVM), custom partitioning
The MANUAL PARTITIONING screen shows up, displays the "Unknown" item, and throws the exception: ValueError: cannot initialize a disk that has partitions

Tried also full text install:
choose replace Linux partitions, and system reboots

No way to get any further than this, I had to switch to F17 install, and upgrade via yum.
Comment 31 Steve Tyler 2013-01-13 17:22:17 EST
Created attachment 677917 [details]
[18.37.11] anaconda-tb-kqIfPf

Reproduced with anaconda 18.37.11 by creating a mac disk label with parted.

Create an empty disk image with qemu-img:
$ qemu-img create f18-test-1.img 12G

Start the Live image in a VM:
$ qemu-kvm -m 2048 -hda f18-test-1.img -cdrom ~/xfr/fedora/F18/F18-Final/Final/Fedora-18-x86_64-Live-Desktop.iso -vga qxl -boot menu=on -usbdevice mouse

Use parted to create a mac disk label and quit:
# parted /dev/sda
...
(parted) mklabel mac
(parted) q

Start the installer.
Proceed to Manual Partitioning.
Exception occurs: ValueError: cannot initialize a disk that has partitions
Comment 32 Alexandre Pereira 2013-01-15 21:07:53 EST
Well, I just registered on the bugzilla to mention that I was just affected by this bug.

I am using Fedora 18 Final, Desktop Edition.

I am trying to install Fedora on a 2 disk setup. First is MBR where i have boot partition and windows. Second disk is GPT where I have Kubuntu / openSUSE / Funtoo and Fedora 18 rawhide daily image from one month ago "that also had this bug but i managed to work around it somehow and i dont remember how now" ( maybe i had no partitions at the time ).

Anyway, I am trying to install the Fedora 18 Final and no matter what I try I cannot keep partition manager from crashing.

It seems though, that installing to the USB disk and to the first (MBR disk) disk doesnt make it crash. Unfortunattly, that is not a solution possible at this time.

The second disk ( GPT ) only has ext4 partitions.

Thanks
Comment 33 Kamil Páral 2013-01-16 05:03:52 EST
Reopening the bug. People, if anaconda crashes for you, please use the integrated bug reporter tool or manually retrieve /tmp/anaconda-tb-* file and attach it here. Thanks.
Comment 34 Riccardo 2013-01-19 11:21:12 EST
This error occured when I set the target storage in order to install Fedora 18.
I have a RAID1 system with the Adaptec 1220SA RAID controller.


Package: anaconda-18.37.11
Architecture: x86_64
OS Release: Fedora release 18
Comment 35 Jon Heron 2013-01-19 13:52:12 EST
This happened to me too, I used the automatic tool to report it.
I was attempting to install f18 from the DVD over top of an existing f17 install on a SATA raid (striped) 2 80gig disks. 
The installer complained there was not enough free space (which there was plenty) and then would crash and the installer would close out. 
To get it to work I had to manually delete the partitions then it installed no problem.
Cheers,
Jon
Comment 36 Mark Heslin 2013-01-21 11:46:08 EST
When running F18 Live disk, selecting install system reports no disk space available due to previous partitions on the disk. When viewing the disk layout, selecting customize and reclaim space the bug is hit. Only work around is to run disk utility, delete all partitions and re-run installation. 

Package: anaconda-18.37.11-1.fc18.x86_64
Architecture: x86_64
OS Release: Fedora release 18
Comment 37 Mark Heslin 2013-01-21 11:55:21 EST
FWIW - I also have a 2 disk (SATA 500GB) RAID 1 mirror.
Comment 38 fredrik.spang 2013-01-22 14:51:44 EST
Trying to install on BIOS raid with existing windows 7 partition. Anaconda seems to crash just before the changes are written to disk. Have tried with both btrfs and lvm and manual partion layout with cfdisk. Running on AMD chipset 990.

Package: anaconda-18.37.11-1.fc18.x86_64
Architecture: x86_64
OS Release: Fedora release 18
Comment 39 Mark Heslin 2013-01-23 10:49:48 EST
Same issue on another desktop. Anaconda errors on disks with existing partitions when trying to "Reclaim Space". Configuration is RAID 1 Mirror - 2(qty) 500 GB SATA drives. Workaround is to wipe all existing partitions with Disk Utility and reboot, re-run installation.

Package: anaconda-18.37.11-1.fc18.x86_64
Architecture: x86_64
OS Release: Fedora release 18
Comment 40 Adam Williamson 2013-01-24 19:10:11 EST
The initial report of this is pretty old. It may help if those hitting it now could reproduce and attach the file /tmp/anaconda-tb-XXXX (the XXXX is variable). Thanks!
Comment 41 jetbeard 2013-02-01 11:40:20 EST
Selecting an environment in the 'Software Selection' step

Package: anaconda-18.37.11
Architecture: x86_64
OS Release: Fedora release 18
Comment 42 tesch1 2013-02-01 17:06:01 EST
trying to install F18

Package: anaconda-18.37.11-1.fc18.x86_64
OS Release: Fedora release 18
Comment 43 Eric Fowler 2013-02-12 21:29:37 EST
The "Unknown error occurred" dialog box popped up when I clicked on disk selection. 

Package: anaconda-18.37.11
OS Release: Fedora release 18
Comment 44 Eric Fowler 2013-02-12 22:07:33 EST
Attempting to partition manually, specifically when I clicked on the icon to expand the view of the existing partitions. Why is manual partitioning so horribly broken? I don't want to overwrite my disks! Please don't dumb down the installation. Whatever happened to the old text-mode install? 

Package: anaconda-18.37.11
OS Release: Fedora release 18
Comment 45 Adam Williamson 2013-02-14 21:25:59 EST
Your traceback would be more helpful than a rant. Thanks.
Comment 46 tesch1 2013-02-14 22:05:44 EST
Hm, I see and am surprised that my report doesn't have a traceback on it.

Eric probably tried to do the same thing that I did - use the automated traceback submitter (or whatever that thing is that pops up when it crashes) and assumed, as I did until just now, that it WAS submitting a traceback.  It did show a traceback in the window associated with the bugzilla reporter, strange that it's not here.

I'm not going to go back and re-create the conditions now, since it's a HUGE pain in the ass.  Eventually I just gave up, saved my home directory, and reformatted everything using the default setup.

One could understand his annoyance perhaps, if he had also tried, previous to this failure, like I did, first using the fedup utility to upgrade from F17, (as the upgrade directions seem to say is the correct way to upgrade from F17->F18) only to have that fail irretrievably.

Be patient with us early adopters; we're your testers, and by nature we're likely to be a little bit psycho, especially those of us who actually bother to submit bug reports.
Comment 47 Adam Williamson 2013-02-14 22:29:47 EST
libreport doesn't append tracebacks when it thinks a report is a duplicate - it's a problem in cases like this, but then you have the cases where 300 people hit the same bug and we really don't want 300 identical traceback attachments in the bug.

I understand it's annoying, but we can't possibly fix the bug without the traceback, or at least a really detailed reproduction case. There's just no way to do it.
Comment 48 tesch1 2013-02-14 22:40:02 EST
My turn to be snarky... :) maybe it would be better to have 300 potentially identical tracebacks than 0 useful tracebacks?
Comment 49 Adam Williamson 2013-02-14 22:46:49 EST
You've *seen* how fast Bugzilla is, right? :)
Comment 50 Steve Tyler 2013-02-14 22:57:54 EST
There are three anaconda-tb files attached, and two are from pre-beta versions of anaconda (18.11, 18.19). The third is from the final version (18.37.11).

To get a more recent traceback, the abrt_hash could be removed from the keywords.

The component to address problems with duplicate bug reporting is libreport.

An idea would be to allow duplicate detection to be disabled on specific bugs.

BTW, there are only 16 users on the CC list, which is nowhere near 300 ... :-)
Comment 51 Steve Tyler 2013-02-14 23:07:54 EST
(In reply to comment #50)
> There are three anaconda-tb files attached, and two are from pre-beta
> versions of anaconda (18.11, 18.19). The third is from the final version
> (18.37.11).

There are nine reports against 18.37.11.

> To get a more recent traceback, the abrt_hash could be removed from the
> keywords.

... removed from the _whiteboard_.
Comment 52 Adam Williamson 2013-02-15 00:22:17 EST
I'm not sure if that'd work, but it's worth a shot...thanks.
Comment 53 Eydee 2013-03-03 13:02:00 EST
I faced the same problem as others but didn't came here to report it as others have already done it. I came here because I found something interesting.

Additional detail/workaround:

If you have partitions you want to keep, install and open GParted, and set the HIDDEN flag on them. (I also removed the boot flag from my Win7 partition but I don't know if it's necessary or not. Just did it.)

Now you have the Win7 (or whatever) partition hidden, and the rest of the array empty (unallocated). Now boot with the Fedora 18 live CD and start the installation. Anaconda won't crash anymore, at least it shouldn't.

(Additional question: Why is it not possible to specify if I want to create a primary or logical partition? There should be a way to do it.)
Comment 54 Fedora End Of Life 2013-12-21 10:07:20 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 55 Fedora End Of Life 2014-02-05 17:48:58 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.